/*
 Theme Name:   ArtPress
 Description:  Susty Child Theme
 Author:       Steve Russell Studios
 Template:     susty-master
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  sustychild
*/


/**************************
* Site Structure and Spacing
 * ***********************/
:root {
  font-size: 62.5%;
	--background: #fff;
	--fonts: #000;
	--highlights: #274C77;
}
.logo img {width:7.2rem;}
.logo {
    flex: 0 7.2rem;
    text-align: center;
    line-height: 0;
    margin-right: 5px;
}
body{overflow-x:hidden;}
header#masthead {max-width:2560px;width:100vw;position:fixed;display:inline;}
.header-inner {max-width:1400px;margin:auto;min-height:57px;padding:50px 0px;}
.header-inner nav {float:right;}
.header-inner h1  {max-width:470px;}
.header-inner nav, .header-inner h1 {display:inline-block;}
header#masthead h1, header#masthead p {flex:unset;}
#content {max-width:1400px;width:100vw;overflow-x:hidden;}
footer#colophon {max-width:2560px;}
.menu-navigation-container {max-width:2560px;}
/*
@media only screen and (max-width: 1939px) {
	header#masthead {max-width:1940px;}
	#content {max-width:1940px;}
	footer#colophon {max-width:1940px;}
	.menu-navigation-container {max-width:1940px;}
}
@media only screen and (max-width:1099px){
	header#masthead {max-width:900px;}
	#content {max-width:900px;}
	footer#colophon {max-width:900px;}
	.menu-navigation-container {max-width:900px;}
}
@media only screen and (max-width:839px){
	header#masthead {max-width:630px;}
	#content {max-width:630px;}
	footer#colophon {max-width:630px;}

}*/
header#masthead {padding: 10px 30px;margin:0px;z-index:1000;}
#content {padding:250px 30px;}
footer#colophon {padding:0 30px;}

body {border-top:none;}
header#masthead h1, header#masthead p {
	padding:1rem;
	font-size: 2.0rem;
    line-height: 2.6rem;
}
/**************************
 * Page Transitions
 * ***********************/
#fader {
    position: fixed;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999999;
	pointer-events: none;
	animation-duration: 300ms;
    animation-timing-function: ease-in-out;
}


@keyframes fade-out {
    from { opacity: 1 }
      to { opacity: 0 }
}

@keyframes fade-in {
    from { opacity: 0 }
      to { opacity: 1 }
}

#fader.fade-out {
    opacity: 0;
    animation-name: fade-out;
}

#fader.fade-in {
    opacity: 1;
    animation-name: fade-in;
}


/**************************
 * Menu Structure Without MegaMax
 * ***********************/
header nav {display:flex;}
.menu-navigation-container {
	width:100%;
  	-webkit-transition: max-height 0.25s ease-in-out;
  	transition: max-height 0.25s ease-in-out;
}
.menu {
	display:flex;
	flex-direction:row;
	list-style-type: none;
	margin: 0;
	padding: 0;
	font-size:1.8rem;
	line-height:1.8rem;

}
.menu-navigation-container ul li a{
	flex-basis:1;
	padding:10px;

}

.menu-item a{
	display:block;
  border-color: #8e44ad;
  border-radius: 0;
  color: #f2f2f2;
  position: relative;
  overflow: hidden;
  z-index: 1;
  -webkit-transition: color 150ms ease-in-out;
  transition: color 150ms ease-in-out;
}
.menu-item a:after, .sub-menu .menu-item a:after {
  content: '';
  position: absolute;
  display: block;
  top: 0;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  width: 0;
  height: 100%;
  background: #f2f2f2;
  z-index: -1;
  -webkit-transition: width 150ms ease-in-out;
  transition: width 150ms ease-in-out;
}
.menu-item-has-children a:after {
	  content:  '\2BC6';
	position:relative;
	background:none;
	display:inline;
	left:0;
}
.menu-item a:hover:after {
  width: 101%;
}
.sub-menu {
	max-height:0px;
	background-color:  #fff;
	padding:0px;
	list-style:none;
	overflow:hidden;
	
}
@media only screen and (min-width:981px){
	.sub-menu {
		box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
		position:absolute;
	}
	
}
.menu-item-has-children:hover .sub-menu{
	overflow:visible;
	max-height:1260px!important;
} 
.sub-menu .menu-item a {
	padding: 10px;
	-webkit-transition: color 0.25s ease-in-out;
  	transition: color 0.25s ease-in-out;
}
.sub-menu li {
	border-left:none!important;
	
}
.sub-menu li a {
	width:100%;
}

/**************************
 * Mobile Menu
 * ***********************/
@media only screen and (max-width:980px){
	header#masthead {justify-content:space-between;}
	.menu-navigation-container ul li {
		padding:10px 35px;
	}	
	.menu-navigation-container ul li:last-of-type {
	padding: 10px 35px;
	}
	.menu-navigation-container ul {
		flex-direction: column;
		max-height:0;
		overflow:Hidden;
    	background: #fff;
		box-shadow: 0px 10px 25px #000;
		-webkit-transition: max-height 0.25s linear;
		transition: max-height 0.25s linear;
	}
	.mobile-menu {display:block!important;}
	.menu-navigation-container .active  {display:block;max-height:1280px!important;		-webkit-transition: max-height 0.25s linear;
		transition: max-height 0.25s linear;}
	.menu-navigation-container {
		display: block;
    	position: absolute;
    	margin-top: 5.5rem;
		z-index: 2000;
		left:0;
	}
/*	.menu {max-width: 540px;margin: auto!important;}*/
	.menu-item {text-align:right;}
	.menu-item-has-children:focus .sub-menu {
    	display: inline;
		max-height:1280px!important;
		position:relative;
  }

	.submenu-visible .sub-menu {
		max-height:1280px!important;
		display:block;
		position:unset;
		box-shadow: none!important;
	  	-webkit-transition: max-height 0.25s ease-in-out;
  		transition: max-height 0.25s ease-in-out;
	}
	.menu-helper {
		width:100%;
		height:100vh;
		display:none;
		position:fixed;
		 left: 0;
		 top: 0;
		z-index:1000;
	}
	.menu-helper.active {display:block!important;}
	.sub-menu {box-shadow: none!important;}
	.sub-menu .menu-item a:after{
	content: '  -';
	position:relative;
	background:none;
	display:inline;
	left:0;
}
}
.mobile-menu {
	display:none;
	cursor: pointer;
	padding:10px;
	font-size:1.8rem;
	line-height: 1.8rem;
}


/**************************
 * Back To Top Button
 * ***********************/
.back-to-top-link {
	opacity:0;
	position:fixed;
	right: 1.5rem;
	bottom:1.5rem;
	background-color:rgba(0.6,0.6,0.6,0.6);
	border-radius:10px;
	font-size:1.4rem;
	color:#fff!important;
	padding:0px .5rem;
	  transition: visibility 0s, opacity 0.5s linear;
}
.back-to-top-link.active {
	opacity:1;
  transition: visibility 0s, opacity 0.5s linear;
}
#top {scroll-margin-top:2em;  scroll-behavior: smooth;}
.back-to-top {
	font-family:dashicons;
}
.back-to-top:after{
	content: "\2191";
	font-size:1.8rem;
	text-align:center;
	display:block;
}
*, html {
  scroll-behavior: smooth!important;
}

/**************************
 * Self-Host Fonts
 * ***********************/

@font-face {
    font-family: 'Montserrat';
    src: url('fonts/Montserrat-Thin.woff2') format('woff2'),
        url('fonts/Montserrat-Thin.woff') format('woff'),
        url('fonts/Montserrat-Thin.ttf') format('truetype');
font-style:normal;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat';
    src: url('fonts/Montserrat-ThinItalic.woff2') format('woff2'),
        url('fonts/Montserrat-ThinItalic.woff') format('woff'),
        url('fonts/Montserrat-ThinItalic.ttf') format('truetype');
	font-style:italic;
    font-display: swap;
}

/**************************
 * Font Styling
 * ***********************/
header#masthead, footer#colophon, header#masthead a, footer#colophon a, header#masthead h1 {
	font-family: Montserrat, sans-serif;
}
b, strong {font-weight:700;}
body, p, a, h1, h2, h3, h4, h5, h6, button {
	font-family:  sans-serif;
	font-weight:100;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
}
h1, h2, h3, h4, h5, h6 {
	clear:none;
	font-variant:small-caps;
}

.button {font-variant:small-caps;}
article a, article a:hover, article a:active, article a:visited {
	border-bottom:0px!important;
	text-decoration:underline;
}

header nav a, header#masthead a, footer#colophon nav{text-decoration:none!important;text-transform:uppercase;letter-spacing:4px;}
header nav a {
	font-size:16px;
	font-size:1.6rem;
}
header#masthead h1 a{font-weight:700!important;font-size: 34px;letter-spacing:unset!important;}
article > header > h1, article > header > h2  {margin: .67em 0;}
h1, article > header > h1, article > header > h2 {font-size:34px;font-size:3.4rem;line-height:3.4rem;}
h2 {font-size:24px;font-size:2.4rem;line-height:2.4rem;}
h3 {font-size:20px;font-size:2.0rem;line-height:2.0rem;}
h4 {font-size:19.5px;font-size:1.95rem;line-height:1.95rem;}
h5 {font-size:19px;font-size:1.9rem;line-height:1.9rem;}
h6 {font-size:18.5px;font-size:1.85rem;line-height:1.85rem;}
body, article a,  button {font-size:20px;font-size:2.0rem;line-height:2.2rem;}
footer, footer nav {font-size:12px!important;font-size:1.2rem!important;line-height:1.4rem!importance;text-underline-offset: 4px;}
.artwork-details span, .detail-section span {display:block;}

/**************************
 * Color Styling
 * ***********************/
/* Main Colors */
header#masthead a, footer#colophon a {color:#fff;}
body {
	color:#000;
	background-color:#f2f2f2;
}
header#masthead, footer#colophon {
	color:#fff;
	background-color:#000;
	border-bottom:1px rgba(160, 160, 160, 0.3) solid;
}
.menu-navigation-container ul li {
	border-left:1px rgba(160, 160, 160, 0.3) solid;
}
/* Link settings */
:visited { color: #000; }
:link:active, :visited:active { color: #000; }
:link { color: #000; text-decoration:underline;}
/* Button settings */
.button, .button:visited, .nav-links span, .nav-links a, .sunshine-photo-cart .sunshine--button {
	background:#f2f2f2!important;
	border: 2px solid #595959!important;
	color: #000!important;
}
.button:hover,  .button.active, .nav-links span:hover, .nav-links a:hover, .sunshine-photo-cart .sunshine--button:hover{
	background:#000!important;
	border-color:#595959!important;
	color:#fff!important;
	border-bottom: 2px solid #595959!important;
}
.button.active, .nav-links span:active, .nav-links a:active, .sunshine-photo-cart .sunshine--button:active {
	border-color:#595959!important;
	border: 2px solid;
	border-bottom: 2px solid #595959!important;
}
/* Page Transition */
#fader {
	background-color:#f2f2f2;
}
/**************************
 * Button Styling
 * ***********************/
.button, .button:visited, .nav-links span, .nav-links a {
	border-radius:0px;
	font-size: calc( 15px + 4 * (100vw / 1500));
  	line-height: 1.5;
	transition-property: background;
	transition-duration: .2s;
	transition-timing-function: linear;
	padding: .6rem 1rem .4rem;
	text-decoration:none;
	display: inline-block;
  	margin-bottom: 5px;
}
.button:hover,  .button.active, .nav-links span:hover, .nav-links a:hover{
	text-decoration:none;
}
.button.active, .nav-links span:active, .nav-links a:active {
	border: 1px solid;
}
.nav-links span, .nav-links a {
	padding: .6rem 1rem .4rem;
}
/**************************
 * Footer Styling
 * ***********************/
.footer-info {text-align:center;}
footer#colophon {
	margin:0px!important;
}

/**************************
 * Gallery Styling
 * ***********************/
#sunshine--image-items figure .sunshine--image--name,  .sunshine-photo-cart .sunshine--button {
	font-size:16px!important;
	font-family:sans-serif;
}
.sunshine-photo-cart .sunshine--button {color:#000;}
.sunshine--account--menu--item--1, .sunshine--account--menu--item--3, .sunshine--account--menu--item--4{
	display:none;
}
/**************************
 * Social Icons
 * ***********************/
.dashicons {
	font-size:25px;
	font-size:2.5rem;
}
.social a {
	border: 1px solid #000;
}